summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-01-21 23:57:50 +0000
committerSam James <sam@gentoo.org>2022-01-21 23:57:50 +0000
commit632a1f315324fdba828d293bed824702223d5893 (patch)
tree11439a2170c659cae14af43ea699abdc55e2755c /app-text/recode
parentapp-arch/zstd: add 1.5.2 (diff)
downloadgentoo-632a1f315324fdba828d293bed824702223d5893.tar.gz
gentoo-632a1f315324fdba828d293bed824702223d5893.tar.bz2
gentoo-632a1f315324fdba828d293bed824702223d5893.zip
app-text/recode: add 3.7.10
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'app-text/recode')
-rw-r--r--app-text/recode/Manifest1
-rw-r--r--app-text/recode/recode-3.7.10.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/app-text/recode/Manifest b/app-text/recode/Manifest
index 967ebb61d83..f35c0531da3 100644
--- a/app-text/recode/Manifest
+++ b/app-text/recode/Manifest
@@ -1 +1,2 @@
+DIST recode-3.7.10.tar.gz 2395400 BLAKE2B 032ceb98c52ac5b3de8a1355f4ffd1b653f15a1b70486d669586079a8985abe6662099cc6fd020a36df967978ebf441ab210924eccf4f7b06704e275bac4b724 SHA512 5fecc91e07626c8128ba4e8d54d9065ab6353b4b36c0c777764cbf2cad2804c201333aef801377cfac718b81c5c050ec3582e624e638c5cafa400140e573c67b
DIST recode-3.7.9.tar.gz 2230259 BLAKE2B 36039ba9e62c5113231764dfa9cffa73b7ff5cd91bab622a0daf0a48a73ab8a62afd16132cec2590eed14623ce5b86ad057e8ca8454cf8185869f0780b3523e7 SHA512 277074dee63cdc7f1a1be2acca67481b8fb816bd4319fe8e882696e42d15309750b930fa9e8d6286e714132a976f0eaf87f718560d6cb86eeaa79b86f0700a6c
diff --git a/app-text/recode/recode-3.7.10.ebuild b/app-text/recode/recode-3.7.10.ebuild
new file mode 100644
index 00000000000..84074fbac49
--- /dev/null
+++ b/app-text/recode/recode-3.7.10.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit flag-o-matic python-any-r1 toolchain-funcs
+
+DESCRIPTION="Convert files between various character sets"
+HOMEPAGE="https://github.com/rrthomas/recode"
+SRC_URI="https://github.com/rrthomas/recode/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+# librecode soname version
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+IUSE="nls test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="virtual/libiconv"
+DEPEND="
+ ${RDEPEND}
+ sys-devel/flex
+"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+ test? (
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ')
+ )
+"
+
+python_check_deps() {
+ if use test ; then
+ has_version -b "dev-python/cython[${PYTHON_USEDEP}]" || return 1
+ fi
+}
+
+src_configure() {
+ tc-export CC LD
+
+ # on solaris -lintl is needed to compile
+ [[ ${CHOST} == *-solaris* ]] && append-libs "-lintl"
+
+ # --without-included-gettext means we always use system headers
+ # and library
+ econf \
+ $(use_enable nls) \
+ --disable-static
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}